std::remove_pointer< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

Inherits std::__remove_pointer_helper< _Tp, typename >.

## Public Types

typedef _Tp | type

## Detailed Description

template<typename _Tp>
struct std::remove_pointer< _Tp >

remove_pointer

Definition at line 2036 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp , typename >

typedef _Tp std::__remove_pointer_helper< _Tp, typename >::type

inherited

Definition at line 2028 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits